<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/Dot/Formatter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.Dot.Formatter</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../Dot.html" >Dot</a>
</div><div class="class-name">class Formatter

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Formatters/Dot.py.html" target="detail">../Synopsis/Formatters/Dot.py</a></div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.Formatter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line442" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Formatter-inheritance" src="Formatter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Formatter-inheritance_map" />
<map name="Formatter-inheritance_map"></map>
 <div class="doc">The Formatter class acts merely as a frontend to
   the various InheritanceGenerators</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="title">title</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line446" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="type">type</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line447" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="hide_operations">hide_operations</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line448" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="hide_attributes">hide_attributes</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line449" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="show_aggregation">show_aggregation</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line450" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="bgcolor">bgcolor</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line451" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="format">format</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line452" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="layout">layout</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line453" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="prefix">prefix</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line454" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="toc_in">toc_in</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line455" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="base_url">base_url</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line456" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.Formatter.process" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line458" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
